   
<?php
/**
 * 
 * Partial Name: events
 * 
 */ 
if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly.
}
$event_image = get_field('event_image');
$event_texts = get_field('event_texts');
$event_link = get_field('events_all');
?>
<style>
    .events-partial-ad0c5a .event-link:hover span{
        background:var(<?= get_field('events_all_color'); ?>);
        color:#ffffff !important;
    }
</style>
<section class="events-partial-ad0c5a">
    <img src="<?= $event_image['url']; ?>" alt="<?= $event_image['title']; ?>" class="event-image">
    <div class="container">
        <div class="row">
            <div class="col-12 text-center text-contain">
                <?php if($event_texts): ?>
                    <h2>
                        <?php foreach($event_texts as $text): ?>
                            <span style="color:var(<?= $text['select_color']; ?>);"><?= $text['add_text'] ?></span>
                            <br>
                        <?php endforeach; ?>
                    </h2>
                <?php 
                    endif;    
                ?>
                <a href="<?= $event_link['url']; ?>" target="<?= $event_link['target']; ?>" style="color:var(<?= get_field('events_all_color'); ?>)" class="event-link">
                    <span><?= $event_link['title']; ?></span>
                </a>
            </div>
        </div>
    </div>
    <div class="svg-bottom-left">
        <svg width="428" class="d-none d-md-block" height="472" viewBox="0 0 428 472" fill="none" xmlns="http://www.w3.org/2000/svg">
            <path d="M428 0V42.7542L211.729 260.327V217.573L428 0Z" fill="#00BEFF"/>
            <path d="M80.5851 211.438V254.192L-137.021 471.764V429.01L80.5851 211.438Z" fill="#80BC00"/>
            <path d="M211.88 173.768V216.522L-5.72656 434.094V391.34L211.88 173.768Z" fill="#0087FF"/>
        </svg>
        <svg width="375" class="d-block d-md-none" height="389" viewBox="0 0 375 389" fill="none" xmlns="http://www.w3.org/2000/svg">
            <path d="M436.978 0V35.1841L259 214.233V179.049L436.978 0Z" fill="#00BEFF"/>
            <path d="M151.077 174V209.184L-28 388.233V353.049L151.077 174Z" fill="#80BC00"/>
            <path d="M259.123 143V178.184L80.0466 357.233V322.049L259.123 143Z" fill="#0087FF"/>
        </svg>
    </div>
    <div class="clip-path-movil-top"></div>
    <script>
        gsap.registerPlugin(ScrollTrigger);

        gsap.fromTo(document.querySelector('.events-partial-ad0c5a .svg-bottom-left'), { y: 0 }, {
        y: 90,
        duration: 1,
        scrollTrigger: {
            trigger: document.querySelector('.events-partial-ad0c5a .svg-bottom-left'),
            start: 'top 100%',
            end: 'top 10%',
            scrub: true,
            markers: false,
        }
        });
    </script> 
</section>
                    