$(()=>{
    get_posts();
    setTimeout(() => {
        $('h1').addClass('zoom-down');
        $('.svg-left-desktop').addClass('slide-left');
        $('.svg-right-desktop').addClass('slide-right');
    }, 1000);
});
$(window).scroll(()=>{
    var windowScroll = $(window).scrollTop();
    if($(window).width() < 768){
        var title = $('.title-after-vide').offset().top -600;
        if(windowScroll >= title){
            $('.title-after-vide').addClass('zoom-up');
        }
        var filter = $('.filter-contain').offset().top -600;
        if(windowScroll >= filter){
            $('.filter-contain').addClass('zoom');
        }
        var title_posts = $('.title-posts').offset().top -600;
        if(windowScroll >= title_posts){
            $('.title-posts').addClass('slide-left');
        }
        var posts = $('#sustainability-desktop').offset().top -500;
        if(windowScroll >= posts){
            $('.link-card').addClass('translate-z');
        }
        var most_viewed = $('.most-viewed').offset().top -500;
        if(windowScroll >= most_viewed){
            $('.most-viewed-card').addClass('translate-z');
        }
    }else{
        var title = $('.title-after-vide').offset().top -600;
        if(windowScroll >= title){
            $('.title-after-vide').addClass('zoom-up');
        }
        var filter = $('.filter-contain').offset().top -600;
        if(windowScroll >= filter){
            $('.filter-contain').addClass('zoom');
        }
        var title_posts = $('.all-posts-title').offset().top -600;
        if(windowScroll >= title_posts){
            $('.all-posts-title').addClass('slide-left');
        }
        var posts = $('#sustainability-desktop').offset().top -500;
        if(windowScroll >= posts){
            $('.all-cards').addClass('translate-z');
        }
        var most_viewed = $('.most-viewed').offset().top -500;
        if(windowScroll >= most_viewed){
            $('.most-viewed-card').addClass('translate-z');
            $('.most-viewed').addClass('slide-left');
        }
    }
});
var category = '';
function get_posts(){
    if($(window).width() < 768){
        var item = 6;
    }else{
       var item = 12;
    }
    $.ajax({
        type: 'GET',
        url: rout,
        data:{
            cat:category,
            items: item
        }
    }).done(function(resp){
        print_resp(resp);
    });
};
function print_resp(resp){
    if(resp.length > 0){
        $('#sustainability-desktop').html('');
        for(item of resp){
            $('#sustainability-desktop').append(`
                <div class="col-12 col-md-6 col-lg-4 mb-4">
                    <a href="${item.permalink}" class="link-card all-cards">
                        <div class="card-post">
                            <div class="image-contain">
                                <img src="${item.thumbnail}" alt="${item.title}">
                            </div>
                            <div class="text-contain">
                                <h4>${item.title}</h4>
                                <p>${item.short_description}</p>
                            </div>
                        </div>
                    </a>
                </div>
            `);
        }
        $('.link-card').addClass('translate-z');
    }else{
        $('#sustainability-desktop').html(`
            <div class="col-12 text-center not-result">
                <h4>¡Ups!</h4>
                <p>No se encontraron resultados con esta categoría</p>
            </div>
        `);
    }
}
/*============== Sustainability filter ==============*/
var filter_state = false;
var titulo = $('#text-filter').text();
function filter_toggle(){
    if(filter_state === false){
        $('.filter-contain').addClass('active');
        filter_state = true;
    }else{
        $('.filter-contain').removeClass('active');
        filter_state = false;
    }
}
$('.filter-contain').on('click', 'a', function(e){
    var item_selected_url = $(this).attr('href');
    var item_selected_text = $(this).text();
    $('#option-selected').html(`${item_selected_text}`);
    if(item_selected_url !== 'all'){
        category = item_selected_url;
        $('#text-filter').text(`${titulo} de ${item_selected_text}`);
    }else{
        category = '';
        $('#text-filter').text(`${titulo}`);
    }
    filter_toggle();
    get_posts();
    e.preventDefault();
});

gsap.registerPlugin(ScrollTrigger);
gsap.fromTo(document.querySelector('.sustainability-content .svg-left-desktop'), { y: 0 }, {
    y: 60,
    duration: 1,
    scrollTrigger: {
        trigger: document.querySelector('.sustainability-content .svg-left-desktop'),
        start: 'top 10%',
        end: 'top 80%',
        scrub: true,
        markers: false,
    }
});

gsap.fromTo(document.querySelector('.sustainability-content .svg-right-desktop'), { y: 0 }, {
    y: 60,
    duration: 1,
    scrollTrigger: {
        trigger: document.querySelector('.sustainability-content .svg-right-desktop'),
        start: 'top 10%',
        end: 'top 80%',
        scrub: true,
        markers: false,
    }
});