   
<?php
/**
 * 
 * Partial Name: slide-after-releases
 * 
 */
if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly.
}
$slide = get_field('slide_items');
if($slide):
?>
<section class="slide-after-releases-partial-c2ad19">
    <div class="slide-cristal owl-carousel">
        <?php foreach($slide as $item): ?>
            <div class="item">
                <img src="<?= $item['image_desktop']['url']; ?>" alt="<?= $item['image_desktop']['title']; ?>" class="desktop">
                <img src="<?= $item['image_movil']['url']; ?>" alt="<?= $item['image_movil']['title']; ?>" class="movil">
                <?php if($item['texts_colors']): ?>
                    <div class="texts">
                        <p>
                            <?php foreach($item['texts_colors'] as $text): ?>
                                <span style="color:<?php if($text['select_color'] == 'white'): ?>#ffffff;<?php else: ?>var(<?= $text['select_color'] ?>)<?php endif; ?>">
                                    <?= $text['add_text']; ?>
                                </span>
                                <br>
                            <?php endforeach; ?>
                        </p>
                    </div>
                <?php endif; ?>
            </div>
        <?php endforeach; ?>
    </div>
    <div class="clip-path-movil-top"></div>
</section>
<script>
    $('.slide-cristal').owlCarousel({
        autoplay:false,
        loop:false,
        nav:true,
        navText:[
            `<svg width="60" height="55" viewBox="0 0 60 55" fill="none" xmlns="http://www.w3.org/2000/svg">
                <path fill-rule="evenodd" clip-rule="evenodd" d="M32.7892 54.1938C47.815 54.1938 59.9957 42.0621 59.9957 27.0969C59.9957 12.1317 47.815 8.34339e-06 32.7892 5.7215e-06C21.9364 3.82776e-06 12.5678 6.32901 8.20116 15.4834C7.47829 16.9989 6.13198 18.1223 4.68053 18.9664C1.88163 20.5941 -4.1392e-06 23.6257 -4.74733e-06 27.0967C-5.35544e-06 30.5677 1.88159 33.5993 4.68043 35.227C6.13186 36.0711 7.47815 37.1946 8.20101 38.7101C12.5676 47.8646 21.9363 54.1938 32.7892 54.1938Z" fill="white" fill-opacity="0.44"/>
                <ellipse cx="32.9811" cy="27.0651" rx="19.4011" ry="19.3229" fill="white"/>
                <path d="M34.9264 19.355L27.166 27.0969L34.9264 34.8389" stroke="#0033A1" stroke-width="2" stroke-linecap="round"/>
            </svg>`,
            `<svg width="60" height="55" viewBox="0 0 60 55" fill="none" xmlns="http://www.w3.org/2000/svg">
                <path fill-rule="evenodd" clip-rule="evenodd" d="M27.2069 8.86978e-05C12.1811 8.73895e-05 0.000354644 12.1318 0.000353331 27.097C0.000352017 42.0622 12.1811 54.1938 27.2069 54.1938C38.0597 54.1938 47.4283 47.8648 51.7949 38.7105C52.5178 37.195 53.8641 36.0715 55.3156 35.2274C58.1145 33.5997 59.9961 30.5682 59.9961 27.0971C59.9961 23.6261 58.1145 20.5946 55.3157 18.9669C53.8642 18.1227 52.5179 16.9993 51.7951 15.4838C47.4285 6.32924 38.0598 8.96427e-05 27.2069 8.86978e-05Z" fill="white" fill-opacity="0.44"/>
                <ellipse cx="27.0149" cy="27.1288" rx="19.4011" ry="19.3229" transform="rotate(-180 27.0149 27.1288)" fill="white"/>
                <path d="M25.0697 34.8389L32.8301 27.0969L25.0696 19.3549" stroke="#0033A1" stroke-width="2" stroke-linecap="round"/>
            </svg>`
        ],
        dots:false,
        margin:0,
        items:1,
    }).css({ 'visibility':'visible' });
</script>
<?php endif; ?>         