   
<?php
/**
 * 
 * Partial Name: flavored-water
 * 
 */
if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly.
}
$flavored_water = get_field('flavored_water_group');
$product = $flavored_water['product'];
if($product):
    $text_color = $flavored_water['text_color'];
    $key = -1;
?>
<style>
    .flavored-water-partial-05d714 .name-product .buy-cta span{
        color:<?= $flavored_water['cta_text_color'] ?>;
        background:<?= $flavored_water['cta_background']; ?>;
    }
    .flavored-water-partial-05d714 .name-product .buy-cta:hover span{
        color:<?= $flavored_water['cta_text_color'] ?>;
        background:<?= $flavored_water['cta_background']; ?>;
    }
    .clip-path{

    }
</style>
<section class="flavored-water-partial-05d714" style="background:<?= $flavored_water['section_background']; ?>">
    <div class="clip-path" style="background:<?= $flavored_water['section_background']; ?>"></div>
    <div class="container">
        <div class="row align-items-center" style="position:relative;">
            <div class="slide-controller owl-carousel">
                <?php foreach($product as $item): $key++; ?>
                    <div class="item">
                        <input type="hidden" class="item-contoller" value="<?= $key; ?>">
                    </div>
                <?php endforeach; ?>
            </div>
            <div class="col-12 col-md-6 product-image-col">
                <div class="products-img-contain">
                    <div class="slide-product-image owl-carousel">
                        <?php foreach($product as $image): ?>
                            <div class="item">
                                <img src="<?= $image['image']['url']; ?>" alt="<?= $image['presentation']; ?>">
                            </div>
                        <?php endforeach; ?>
                    </div>
                    <div class="svg-contain">
                        <svg width="362" height="363" viewBox="0 0 362 363" fill="none" xmlns="http://www.w3.org/2000/svg">
                            <path d="M296.593 17V44.1412L160 182.261V155.12L296.593 17Z" fill="#80BC00"/>
                            <path d="M361.186 0V27.002L88 301.854V274.852L361.186 0Z" fill="#0087FF"/>
                            <path d="M292.436 194.693V221.696L155 359.111V332.108L292.436 194.693Z" fill="#80BC00"/>
                            <path d="M137.436 198V225.003L0 362.418V335.415L137.436 198Z" fill="#00BEFF"/>
                        </svg>
                    </div>
                </div>
            </div>
            <div class="col-12 col-md-6">
                <div class="name-product">
                    <h2 style="color:<?= $text_color; ?>;"><?= $flavored_water['title']; ?></h2>
                    <div class="presentations-slide owl-carousel">
                        <?php foreach($product as $name): ?>
                            <div class="item">
                                <p style="color:<?= $text_color; ?>;"><?= $name['presentation']; ?></p>
                            </div>
                        <?php endforeach; ?>
                    </div>
                    <button class="buy-cta">
                        <span><?= $flavored_water['cta_text']; ?></span>
                    </button>
                </div>
            </div>
        </div>
    </div>
</section>
<?php endif; ?>          