   
<?php
/**
 * 
 * Template Name: home
 * 
 */
if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly.
}
get_header();
?>
<main id="home-template-6b7263">
    <!-- Overlay animation -->
    <?php get_template_part('partials/home/overlay-animation'); ?>
    <?php get_template_part('partials/home/after-overlay'); ?>
    <?php get_template_part('partials/home/what-is-the-team'); ?>
    <?php get_template_part('partials/home/events'); ?>
    <?php get_template_part('partials/home/sustainability'); ?>
    <?php get_template_part('partials/home/releases'); ?>
    <?php get_template_part('partials/home/slide-after-releases'); ?>
</main>
<script>
    $(window).scroll(function(){
        var windowScrol = $(window).scrollTop();
        /*============= Home, content after overly =============*/
        var team = $('.what-is-the-team-partial-a00a33').offset().top -150;
        var event = $('.events-partial-ad0c5a').offset().top -150;
        var sustainability = $('.sustainability-partial-f7f3c1').offset().top -250;
        if(windowScrol >= team){
            $('.what-is-the-team-partial-a00a33 .cta-team-page').addClass('width-active');
        }
        if(windowScrol >= event){
            $('.events-partial-ad0c5a h2').addClass('animated');
            $('.events-partial-ad0c5a a').addClass('slide-up');
            $('.events-partial-ad0c5a .svg-bottom-left').addClass('slide-left');
            $('.what-is-the-team-partial-a00a33 .svg-event').addClass('slide-right');
        }
        if(windowScrol >= sustainability){
            $('.sustainability-partial-f7f3c1 h2').addClass('slide-left');
            $('.sustainability-partial-f7f3c1 .sostenibility-cta').addClass('slide-down');
            $('.sustainability-partial-f7f3c1 .the-card').addClass('rotate-y');
            $('.sustainability-partial-f7f3c1 .svg-bottom').addClass('opacity');
        }
    });
</script>
<?php get_footer(); ?>
                    